Przejdź do głównej treści
GET
/
api
/
v1
/
subscribers
Wylistuj subskrybentów
curl --request GET \
  --url https://api.railmail.app/api/v1/subscribers \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "subscriberKey": "<string>",
      "email": "jsmith@example.com",
      "firstName": "<string>",
      "lastName": "<string>",
      "phone": "<string>",
      "status": "<string>",
      "source": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "page": 123,
    "size": 123,
    "totalElements": 123,
    "totalPages": 123,
    "hasNext": true,
    "hasPrevious": true
  }
}

Autoryzacje

X-API-Key
string
header
wymagane

Project-scoped API key, format rm_(live|test)_... . May also be sent as Authorization: Bearer rm_....

Parametry zapytania

page
integer
domyślnie:0

Zero-based page index.

Wymagany zakres: x >= 0
size
integer
domyślnie:20

Page size, clamped to a maximum of 100.

Wymagany zakres: 1 <= x <= 100

Odpowiedź

Stronicowani subskrybenci

data
object[]
pagination
object